classification
Title: bind() on a unix socket raises PermissionError on Android for a non-root user
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: xdegaye Nosy List: python-dev, xdegaye
Priority: normal Keywords: patch

Created on 2016-11-13 19:32 by xdegaye, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
bind_unix_socket.patch xdegaye, 2016-11-13 19:32 review
bind_unix_socket_2.patch xdegaye, 2016-12-13 19:44 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (3)
msg280709 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-11-13 19:32
Tests in test_socket and test_asyncore fail on Android when bind() on a unix socket raises PermissionError for a non-root user. This occurs also in test_asyncio and this is logged in a separate issue as asyncio has its own project.

Patch attached.
msg283136 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-12-13 19:44
test_pathlib must also be fixed for this same problem.
New patch.
msg283186 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-14 10:55
New changeset b65ae19bc42a by Xavier de Gaye in branch '3.6':
Issue #28683: Fix the tests that bind() a unix socket and raise PermissionError
https://hg.python.org/cpython/rev/b65ae19bc42a

New changeset 0350e0634a4b by Xavier de Gaye in branch 'default':
Issue #28683: Merge 3.6.
https://hg.python.org/cpython/rev/0350e0634a4b
History
Date User Action Args
2017-03-31 16:36:31dstufftsetpull_requests: + pull_request1043
2016-12-14 19:24:08xdegayesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-12-14 10:55:24python-devsetnosy: + python-dev
messages: + msg283186
2016-12-13 19:44:51xdegayesetfiles: + bind_unix_socket_2.patch

messages: + msg283136
2016-11-21 15:40:04xdegayelinkissue26865 dependencies
2016-11-13 19:32:04xdegayecreate